---
data_category: operational
key_path: redis_hll_counters.ci_templates.ci_templates_total_unique_counts_monthly
description: Total count of pipelines runs
product_section: ops
product_stage: configure
product_group: group::configure
product_category: infrastructure_as_code
value_type: number
status: removed
milestone_removed: '14.3'
repair_issue_url: https://gitlab.com/gitlab-org/gitlab/-/issues/332466
time_frame: 28d
data_source: redis_hll
instrumentation_class: RedisHLLMetric
options:
  events:
  - p_ci_templates_implicit_auto_devops
  - p_ci_templates_5_min_production_app
  - p_ci_templates_aws_cf_deploy_ec2
  - p_ci_templates_auto_devops_build
  - p_ci_templates_auto_devops_deploy
  - p_ci_templates_auto_devops_deploy_latest
  - p_ci_templates_terraform_base_latest
  - p_ci_templates_terraform_base
  - p_ci_templates_dotnet
  - p_ci_templates_nodejs
  - p_ci_templates_openshift
  - p_ci_templates_auto_devops
  - p_ci_templates_bash
  - p_ci_templates_rust
  - p_ci_templates_elixir
  - p_ci_templates_clojure
  - p_ci_templates_crystal
  - p_ci_templates_getting_started
  - p_ci_templates_code_quality
  - p_ci_templates_verify_load_performance_testing
  - p_ci_templates_verify_accessibility
  - p_ci_templates_verify_failfast
  - p_ci_templates_verify_browser_performance
  - p_ci_templates_verify_browser_performance_latest
  - p_ci_templates_grails
  - p_ci_templates_security_sast
  - p_ci_templates_security_dast_runner_validation
  - p_ci_templates_security_dast_on_demand_scan
  - p_ci_templates_security_secret_detection
  - p_ci_templates_security_license_scanning
  - p_ci_templates_security_coverage_fuzzing
  - p_ci_templates_security_api_fuzzing_latest
  - p_ci_templates_security_secure_binaries
  - p_ci_templates_security_dast_api
  - p_ci_templates_security_dast_api_latest
  - p_ci_templates_security_container_scanning
  - p_ci_templates_security_dast_latest
  - p_ci_templates_security_dependency_scanning
  - p_ci_templates_security_api_fuzzing
  - p_ci_templates_security_dast
  - p_ci_templates_security_cluster_image_scanning
  - p_ci_templates_ios_fastlane
  - p_ci_templates_composer
  - p_ci_templates_c
  - p_ci_templates_python
  - p_ci_templates_django
  - p_ci_templates_maven
  - p_ci_templates_flutter
  - p_ci_templates_workflows_branch_pipelines
  - p_ci_templates_workflows_mergerequest_pipelines
  - p_ci_templates_laravel
  - p_ci_templates_managed_cluster_applications
  - p_ci_templates_php
  - p_ci_templates_packer
  - p_ci_templates_terraform
  - p_ci_templates_mono
  - p_ci_templates_serverless
  - p_ci_templates_go
  - p_ci_templates_scala
  - p_ci_templates_latex
  - p_ci_templates_android
  - p_ci_templates_android_fastlane
  - p_ci_templates_android_latest
  - p_ci_templates_indeni_cloudrail
  - p_ci_templates_deploy_ecs
  - p_ci_templates_aws_cf_provision_and_deploy_ec2
  - p_ci_templates_aws_deploy_ecs
  - p_ci_templates_gradle
  - p_ci_templates_chef
  - p_ci_templates_jobs_dast_default_branch_deploy
  - p_ci_templates_jobs_load_performance_testing
  - p_ci_templates_jobs_helm_2to3
  - p_ci_templates_jobs_sast
  - p_ci_templates_jobs_secret_detection
  - p_ci_templates_jobs_code_intelligence
  - p_ci_templates_jobs_code_quality
  - p_ci_templates_jobs_dependency_scanning
  - p_ci_templates_jobs_license_scanning
  - p_ci_templates_jobs_deploy_ecs
  - p_ci_templates_jobs_deploy_ec2
  - p_ci_templates_jobs_deploy
  - p_ci_templates_jobs_build
  - p_ci_templates_jobs_browser_performance_testing
  - p_ci_templates_jobs_test
  - p_ci_templates_jobs_deploy_latest
  - p_ci_templates_jobs_browser_performance_testing_latest
  - p_ci_templates_jobs_cf_provision
  - p_ci_templates_jobs_build_latest
  - p_ci_templates_terraform_latest
  - p_ci_templates_swift
  - p_ci_templates_pages_jekyll
  - p_ci_templates_pages_harp
  - p_ci_templates_pages_octopress
  - p_ci_templates_pages_brunch
  - p_ci_templates_pages_doxygen
  - p_ci_templates_pages_hyde
  - p_ci_templates_pages_lektor
  - p_ci_templates_pages_jbake
  - p_ci_templates_pages_hexo
  - p_ci_templates_pages_middleman
  - p_ci_templates_pages_hugo
  - p_ci_templates_pages_pelican
  - p_ci_templates_pages_nanoc
  - p_ci_templates_pages_swaggerui
  - p_ci_templates_pages_jigsaw
  - p_ci_templates_pages_metalsmith
  - p_ci_templates_pages_gatsby
  - p_ci_templates_pages_html
  - p_ci_templates_dart
  - p_ci_templates_docker
  - p_ci_templates_julia
  - p_ci_templates_npm
  - p_ci_templates_dotnet_core
  - p_ci_templates_5_minute_production_app
  - p_ci_templates_ruby
  - p_ci_templates_implicit_jobs_dast_default_branch_deploy
  - p_ci_templates_implicit_jobs_load_performance_testing
  - p_ci_templates_implicit_jobs_helm_2to3
  - p_ci_templates_implicit_jobs_sast
  - p_ci_templates_implicit_jobs_secret_detection
  - p_ci_templates_implicit_jobs_code_intelligence
  - p_ci_templates_implicit_jobs_code_quality
  - p_ci_templates_implicit_jobs_dependency_scanning
  - p_ci_templates_implicit_jobs_license_scanning
  - p_ci_templates_implicit_jobs_deploy_ecs
  - p_ci_templates_implicit_jobs_deploy_ec2
  - p_ci_templates_implicit_auto_devops_deploy
  - p_ci_templates_implicit_auto_devops_build
  - p_ci_templates_implicit_jobs_browser_performance_testing
  - p_ci_templates_implicit_jobs_test
  - p_ci_templates_implicit_auto_devops_deploy_latest
  - p_ci_templates_implicit_jobs_browser_performance_testing_latest
  - p_ci_templates_implicit_jobs_cf_provision
  - p_ci_templates_implicit_jobs_build_latest
  - p_ci_templates_implicit_security_sast
  - p_ci_templates_implicit_security_dast_runner_validation
  - p_ci_templates_implicit_security_dast_on_demand_scan
  - p_ci_templates_implicit_security_secret_detection
  - p_ci_templates_implicit_security_license_scanning
  - p_ci_templates_implicit_security_coverage_fuzzing
  - p_ci_templates_implicit_security_api_fuzzing_latest
  - p_ci_templates_implicit_security_secure_binaries
  - p_ci_templates_implicit_security_dast_api
  - p_ci_templates_implicit_security_dast_api_latest
  - p_ci_templates_implicit_security_container_scanning
  - p_ci_templates_implicit_security_dast_latest
  - p_ci_templates_implicit_security_dependency_scanning
  - p_ci_templates_implicit_security_api_fuzzing
  - p_ci_templates_implicit_security_dast
  - p_ci_templates_implicit_security_cluster_image_scanning
  - p_ci_templates_kaniko
  - p_ci_templates_qualys_iac_security
  - p_ci_templates_liquibase
  - p_ci_templates_matlab
distribution:
- ce
- ee
tier:
- free
- premium
- ultimate
performance_indicator_type: []
milestone: "<13.9"
